/****************************************************************************
** Form implementation
**
** $Id: zearchbase.cpp,v 1.1 2002/08/29 15:59:36 bruce Exp $
**  
** $Log: zearchbase.cpp,v $
** Revision 1.1  2002/08/29 15:59:36  bruce
**
** Imported source to CVS
**
** 
****************************************************************************/
#include "zearchbase.h"

#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qbuttongroup.h>
#include <qgroupbox.h>

/* 
 *  Constructs a ZearchBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
ZearchBase::ZearchBase( QWidget* parent,  const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ZearchBase" );
    setCaption( tr( "Zearch" ) );
    ZearchBaseLayout = new QVBoxLayout( this ); 
    ZearchBaseLayout->setSpacing( 5 );
    ZearchBaseLayout->setMargin( 5 );

#ifdef ZEARCH_OLD_LABEL
    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setText( tr( "Find:" ) );
    ZearchBaseLayout->addWidget( TextLabel1 );
#endif

#ifdef ZEARCH_OLD_FIND
	TextSearch = new QLineEdit( this );
	TextSearch->setFocus();
	TextSearch->setMaxLength(30);

	ZearchBaseLayout->addWidget( TextSearch );
#else
	Layout1 = new QHBoxLayout;
	Layout1->setSpacing( 6 );
	Layout1->setMargin( 0 );

#ifndef ZEARCH_OLD_LABEL
    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setText( tr( "Find:" ) );
    Layout1->addWidget( TextLabel1 );
#endif

	TextSearch = new QLineEdit( this, "txtsearch" );
	TextSearch->setFocus();
	TextSearch->setMaxLength(30);
	Layout1->addWidget( TextSearch );

    sbutton = new QPushButton( this, "sbutton" );
    sbutton->setText( tr( "&Go" ) );
	//sbutton->setDefault( TRUE );
	Layout1->addWidget( sbutton );

	ZearchBaseLayout->addLayout( Layout1 );


#endif

#ifdef ZEARCH_BUTTONS
	QGroupBox *bgrp1 = new QButtonGroup( 2, QGroupBox::Horizontal,this );
	ZearchBaseLayout->addWidget( bgrp1 );

    //sbutton = new QPushButton( this, "search",bgrp1 );
    sbutton = new QPushButton( "search",bgrp1 );
    sbutton->setText( tr( "Search" ) );
    //ZearchBaseLayout->addWidget( sbutton );

    //quit = new QPushButton( this, "quit",bgrp1 );
    quit = new QPushButton( "quit",bgrp1 );
    quit->setText( tr( "Quit" ) );
    // ZearchBaseLayout->addWidget( quit );
#endif

	zl = new ZearchList(this);
	ZearchBaseLayout->addWidget(zl);

}

/*  
 *  Destroys the object and frees any allocated resources
 */
ZearchBase::~ZearchBase()
{
    // no need to delete child widgets, Qt does it all for us
}

